Searches with no results - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service responds with information about which search terms returned no results in a selected period.

Method Endpoint
POST
/analytics/api/v2/searches/no-results-top

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Request example

The following example shows a JSON request body for this web service:

{
  "startDate": "2024-01-01",
  "endDate": "2024-05-01",
  "paging": {
    "page": 1,
    "perPage": 10
  },
  "contentLocale": "en-US"
}
Field Name Type Required? Description
startDate String Yes Inclusive start date of the period. Must be withing the analytics data retention period.
endDate String Yes Exclusive end date of the period. Must be later than the start date.
contentLocale String Yes Combination of ISO 639-1 language code and ISO 3166-1 country code.
paging Object Yes Element containing page and perPage elements.
page Number Yes Current page number. Starts at 1.
perPage Number Yes Number of results per page.

All elements described above are mandatory.

Response body

The following example shows a JSON response body for this web service:

{
  "startDate": "2024-01-01",
  "endDate": "2024-05-01",
  "paging": {
    "page": 1,
    "perPage": 10,
    "totalCount": 330,
    "lastPage": false
  },
  "results": [
    {
      "terms": "zendesk",
      "facets": [],
      "queryCount": 11
    },
    {
      "terms": "mermaid",
      "facets": [
        {
          "key": "Version_FT",
          "label": "Version",
          "values": [
            "Latest"
          ]
        }
      ],
      "queryCount": 9
    },
    {
      "terms": "search",
      "facets": [
        {
          "key": "Category",
          "label": "Category",
          "values": [
            "Technical Notes"
          ]
        },
        {
          "key": "Version_FT",
          "label": "Version",
          "values": [
            "3.7"
          ]
        }
      ],
      "queryCount": 7
    },
    {
      "terms": "",
      "facets": [
        {
          "key": "Version_FT",
          "label": "Version",
          "values": [
            "4.0"
          ]
        }
      ],
      "queryCount": 4
    }
  ]
}
Field Type Description
startDate String The inclusive start date of the period as defined in the request body.
endDate String The exclusive end date of the period as defined in the request body.
page Number The current page number.
perPage Number The number of results per page.
totalCount Number The total number of available results.
lastPage Boolean A boolean operator indicating whether the page is the last page of results.
terms Array The keywords that were typed in the search box.
key String The unique name to identify the facet.
label String The localized name of the facet.
values Array The values of the facets.
queryCount Number The number of queries containing the terms that were submitted.
Return code Description
200 OK Returns 0 or more results.